<form class="example-container" [formGroup]="form" (ngSubmit)="operar()"  #espForm="ngForm">

  <div [hidden]="true">
    <mat-form-field class="example-full-width">
      <input matInput placeholder="ID" required formControlName="id">
    </mat-form-field>
  </div>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Nombre persona" required formControlName="nombres">
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Apellido persona" required formControlName="apellidos">
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Edad" required formControlName="edad">
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Lugar Trabajo" required formControlName="lugartrabajo">
  </mat-form-field>
  <mat-form-field>
    <mat-select placeholder="Profesión" [(value)]="idProfesionSeleccionado">
      <mat-option *ngFor="let p of profesiones" [value]="p.idProfesion" >{{p.nombre}}</mat-option>
    </mat-select>
  </mat-form-field>
  <mat-form-field *ngIf="!edicion">
    <mat-select placeholder="Lenguaje" [(value)]="idLenguajeSeleccionado">
      <mat-option *ngFor="let p of lenguajes" [value]="p.idLenguaje" >{{p.nombre}}</mat-option>
    </mat-select>
  </mat-form-field>
  <button mat-raised-button color="primary" type="submit" [disabled]="espForm.invalid">
    <mat-icon>done</mat-icon>
    <span>Aceptar</span>
  </button>
  <button mat-raised-button color="accent" routerLink='/login' type="button">
    <mat-icon>close</mat-icon>
    <span>Cancelar</span>
  </button>
</form>

<br/>